package jarre.midi.event;

import jarre.midi.MySequence;

import javax.sound.midi.ShortMessage;

public abstract class NoteMessageEvent extends MidiMessageEvent {
    public final int note;
    protected final MySequence sequence;
    public NoteMessageEvent(MySequence sequence, ShortMessage midiMessage, int trackNum, int tick) {
	super(midiMessage, trackNum, tick);
	note = midiMessage.getData1();
	this.sequence = sequence;
    }
    public boolean isVisible() {
	return sequence.getTrackVisible(trackNum);
    }
    public boolean isPlayedBackground() {
	return sequence.getPlayBackground(trackNum);
    }
}
