/*  Programmer:	Piotr Borek
 *  E-mail: piotrborek@op.pl
 *  Copyright 2009 Piotr Borek
 *
 *  Distributed under the terms of the GPL (GNU Public License)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package jarre.widgets.common;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

public class CustomSize extends Composite {
    private Control control;
    public CustomSize(Composite parent, int style) {
	super(parent, style);
    }
    public void setControl(Control control) {
	this.control = control;
	control.setSize(control.computeSize(SWT.DEFAULT, SWT.DEFAULT));
    }
    public void setSize(Point size) {
	control.setSize(size);
    }
    public void setSize(int width, int height) {
	control.setSize(width, height);
    }
    public void setWidth(int width) {
	Point size = control.computeSize(SWT.DEFAULT, SWT.DEFAULT);
	size.x = width;
	control.setSize(size);
    }
    public void setHeight(int height) {
	Point size = control.computeSize(SWT.DEFAULT, SWT.DEFAULT);
	size.y = height;
	control.setSize(size);	
    }
    public Point computeSize(int wHint, int hHint) {
	return control.computeSize(wHint, hHint);
    }
}
